| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | List of all members
Tp::AbstractAdaptor Class Reference
Service-side implementation

Base class for all the low-level service-side adaptors. More...

`#include <TelepathyQt/AbstractAdaptor>`

Inherits QDBusAbstractAdaptor.

Inherited by Tp::Service::CallContentAdaptor, Tp::Service::CallContentInterfaceDTMFAdaptor, Tp::Service::CallInterfaceMuteAdaptor, Tp::Service::ChannelAdaptor, Tp::Service::ChannelInterfaceAnonymityAdaptor, Tp::Service::ChannelInterfaceCallStateAdaptor, Tp::Service::ChannelInterfaceCaptchaAuthenticationAdaptor, Tp::Service::ChannelInterfaceChatStateAdaptor, Tp::Service::ChannelInterfaceConferenceAdaptor, Tp::Service::ChannelInterfaceDestroyableAdaptor, Tp::Service::ChannelInterfaceDTMFAdaptor, Tp::Service::ChannelInterfaceFileTransferMetadataAdaptor, Tp::Service::ChannelInterfaceGroupAdaptor, Tp::Service::ChannelInterfaceHoldAdaptor, Tp::Service::ChannelInterfaceMediaSignallingAdaptor, Tp::Service::ChannelInterfaceMergeableConferenceAdaptor, Tp::Service::ChannelInterfaceMessagesAdaptor, Tp::Service::ChannelInterfacePasswordAdaptor, Tp::Service::ChannelInterfaceRoomAdaptor, Tp::Service::ChannelInterfaceRoomConfigAdaptor, Tp::Service::ChannelInterfaceSASLAuthenticationAdaptor, Tp::Service::ChannelInterfaceSecurableAdaptor, Tp::Service::ChannelInterfaceServicePointAdaptor, Tp::Service::ChannelInterfaceSMSAdaptor, Tp::Service::ChannelInterfaceSplittableAdaptor, Tp::Service::ChannelInterfaceSubjectAdaptor, Tp::Service::ChannelTypeCallAdaptor, Tp::Service::ChannelTypeContactSearchAdaptor, Tp::Service::ChannelTypeDBusTubeAdaptor, Tp::Service::ChannelTypeFileTransferAdaptor, Tp::Service::ChannelTypeRoomListAdaptor, Tp::Service::ChannelTypeServerAuthenticationAdaptor, Tp::Service::ChannelTypeServerTLSConnectionAdaptor, Tp::Service::ChannelTypeStreamedMediaAdaptor, Tp::Service::ChannelTypeStreamTubeAdaptor, Tp::Service::ChannelTypeTextAdaptor, Tp::Service::ConnectionAdaptor, Tp::Service::ConnectionInterfaceAddressingAdaptor, Tp::Service::ConnectionInterfaceAliasingAdaptor, Tp::Service::ConnectionInterfaceAnonymityAdaptor, Tp::Service::ConnectionInterfaceAvatarsAdaptor, Tp::Service::ConnectionInterfaceBalanceAdaptor, Tp::Service::ConnectionInterfaceCellularAdaptor, Tp::Service::ConnectionInterfaceClientTypesAdaptor, Tp::Service::ConnectionInterfaceContactBlockingAdaptor, Tp::Service::ConnectionInterfaceContactCapabilitiesAdaptor, Tp::Service::ConnectionInterfaceContactGroupsAdaptor, Tp::Service::ConnectionInterfaceContactInfoAdaptor, Tp::Service::ConnectionInterfaceContactListAdaptor, Tp::Service::ConnectionInterfaceContactsAdaptor, Tp::Service::ConnectionInterfaceLocationAdaptor, Tp::Service::ConnectionInterfaceMailNotificationAdaptor, Tp::Service::ConnectionInterfacePowerSavingAdaptor, Tp::Service::ConnectionInterfaceRequestsAdaptor, Tp::Service::ConnectionInterfaceServicePointAdaptor, Tp::Service::ConnectionInterfaceSimplePresenceAdaptor, Tp::Service::ConnectionManagerAdaptor, Tp::Service::ProtocolAdaptor, Tp::Service::ProtocolInterfaceAddressingAdaptor, Tp::Service::ProtocolInterfaceAvatarsAdaptor, and Tp::Service::ProtocolInterfacePresenceAdaptor.

## Public Member Functions

| AbstractAdaptor (const QDBusConnection &connection, QObject *adaptee, QObject *parent)
| ~AbstractAdaptor ()
QDBusConnection | dbusConnection () const
QObject * | adaptee () const
Public Member Functions inherited from QDBusAbstractAdaptor
| ~QDBusAbstractAdaptor ()
Public Member Functions inherited from QObject
| QObject (QObject *parent)
virtual | ~QObject ()
virtual bool | event (QEvent *e)
virtual bool | eventFilter (QObject *watched, QEvent *event)
virtual const QMetaObject * | metaObject () const
QString | objectName () const
void | setObjectName (const QString &name)
bool | isWidgetType () const
bool | signalsBlocked () const
bool | blockSignals (bool block)
QThread * | thread () const
void | moveToThread (QThread *targetThread)
int | startTimer (int interval)
void | killTimer (int id)
T | findChild (const QString &name) const
QList< T > | findChildren (const QString &name) const
QList< T > | findChildren (const QRegExp &regExp) const
QObject * | child (const char *objName, const char *inheritsClass, bool recursiveSearch) const
const QObjectList & | children () const
void | setParent (QObject *parent)
void | installEventFilter (QObject *filterObj)
void | removeEventFilter (QObject *obj)
bool | connect (const QObject *sender, const char *signal, const char *method, Qt::ConnectionType type) const
bool | disconnect (const char *signal, const QObject *receiver, const char *method)
bool | disconnect (const QObject *receiver, const char *method)
void | dumpObjectTree ()
void | dumpObjectInfo ()
bool | setProperty (const char *name, const QVariant &value)
QVariant | property (const char *name) const
QList< QByteArray > | dynamicPropertyNames () const
void | destroyed (QObject *obj)
QObject * | parent () const
bool | inherits (const char *className) const
void | deleteLater ()
| QObject (QObject *parent, const char *name)
void | insertChild (QObject *object)
void | removeChild (QObject *object)
bool | isA (const char *className) const
const char * | className () const
const char * | name () const
const char * | name (const char *defaultName) const
void | setName (const char *name)

## Additional Inherited Members

Static Public Member Functions inherited from QObject
QString | tr (const char *sourceText, const char *disambiguation, int n)
QString | trUtf8 (const char *sourceText, const char *disambiguation, int n)
bool | connect (const QObject *sender, const char *signal, const QObject *receiver, const char *method, Qt::ConnectionType type)
bool | connect (const QObject *sender, const QMetaMethod &signal, const QObject *receiver, const QMetaMethod &method, Qt::ConnectionType type)
bool | disconnect (const QObject *sender, const char *signal, const QObject *receiver, const char *method)
bool | disconnect (const QObject *sender, const QMetaMethod &signal, const QObject *receiver, const QMetaMethod &method)
Protected Member Functions inherited from QDBusAbstractAdaptor
| QDBusAbstractAdaptor (QObject *obj)
void | setAutoRelaySignals (bool enable)
bool | autoRelaySignals () const
Protected Member Functions inherited from QObject
QObject * | sender () const
int | senderSignalIndex () const
int | receivers (const char *signal) const
virtual void | timerEvent (QTimerEvent *event)
virtual void | childEvent (QChildEvent *event)
virtual void | customEvent (QEvent *event)
virtual void | connectNotify (const char *signal)
virtual void | disconnectNotify (const char *signal)
bool | checkConnectArgs (const char *signal, const QObject *object, const char *method)
Static Protected Member Functions inherited from QObject
QByteArray | normalizeSignalSlot (const char *signalSlot)
Properties inherited from QObject
| objectName

## Detailed Description

Base class for all the low-level service-side adaptors.

This class serves as the parent for all the generated low-level service-side adaptors. Adaptors provide the interface of an object on the bus.

The implementation of this interface should be provided in a special object called the adaptee. The adaptee is meant to provide properties, signals and slots that are connected automatically with the adaptor using Qt's meta-object system.

## Constructor & Destructor Documentation

Tp::AbstractAdaptor::AbstractAdaptor | ( | const QDBusConnection & | dbusConnection,
|  | QObject * | adaptee,
|  | QObject * | parent
| ) |  |

Construct a new AbstractAdaptor that operates on the given dbusConnection and redirects calls to the given adaptee.

Parameters

  dbusConnection | The D-Bus connection to use.
  adaptee | The class the provides the implementation of the calls.
  parent | The QObject parent of this adaptor.

Tp::AbstractAdaptor::~AbstractAdaptor | ( |  | ) |

Class destructor.

## Member Function Documentation

QDBusConnection Tp::AbstractAdaptor::dbusConnection | ( |  | ) | const

Return the D-Bus connection associated with this adaptor.

Returns
  The D-Bus connection associated with this adaptor.

QObject * Tp::AbstractAdaptor::adaptee | ( |  | ) | const

Return the adaptee object, i.e. the object that provides the implementation of this adaptor.

Returns
  The adaptee object.